Bug 84606 - Update port: audio/taglib to version 1.4
Summary: Update port: audio/taglib to version 1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Landin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-06 06:20 UTC by Frerich Raabe
Modified: 2005-08-31 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (687 bytes, patch)
2005-08-06 06:20 UTC, Frerich Raabe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frerich Raabe 2005-08-06 06:20:09 UTC
The accompanying patch intends to update the audio/taglib port to honour the
recent release of taglib v1.4.
Comment 1 schoutm 2005-08-15 06:19:57 UTC
The plist is wrong after you update to 1.4.  This causes "make package"
to fail if you apply the update to 1.4.

This patch fixes the plist:

--- pkg-plist.orig      Mon Aug 15 00:11:37 2005
+++ pkg-plist   Mon Aug 15 00:17:06 2005
@@ -32,7 +32,6 @@
 include/taglib/taglib.h
 include/taglib/tbytevector.h
 include/taglib/tbytevectorlist.h
-include/taglib/tdebug.h
 include/taglib/textidentificationframe.h
 include/taglib/tfile.h
 include/taglib/tlist.h
@@ -49,7 +48,7 @@
 include/taglib/xiphcomment.h
 lib/libtag.la
 lib/libtag.so
-lib/libtag.so.4
+lib/libtag.so.5
 lib/libtag_c.la
 lib/libtag_c.so
 lib/libtag_c.so.0
Comment 2 Michael Landin freebsd_committer 2005-08-17 14:54:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mich

Grab this one.
Comment 3 schoutm 2005-08-18 07:06:54 UTC
We also need to replace all instances of:

tag.4:${PORTSDIR}/audio/taglib

with

tag.5:${PORTSDIR}/audio/taglib

in the whole ports tree.

I will follow up with a patch for that in the morning.
Comment 4 Michael Landin freebsd_committer 2005-08-31 14:30:17 UTC
State Changed
From-To: open->closed

Committed, thanks !